Bug 1248863 - Bonus pool still exist after unregister host.
Bonus pool still exist after unregister host.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who (Show other bugs)
7.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Radek Novacek
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 00:06 EDT by dazhang
Modified: 2016-11-30 19:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:20:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dazhang 2015-07-31 00:06:27 EDT
Description of problem:
Bonus pool still exist after unregister host which has subscribed Datacenter subscription.

Version-Release number of selected component (if applicable):
RHEL-7.2-20150720.0-Server-x86_64(KVM) against Stage Candlepin
subscription-manager-1.15.6-1.el7.x86_64
subscription-manager-gui-1.15.6-1.el7.x86_64
virt-who-0.14-2.el7.noarch
python-rhsm-1.15.3-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Register host.
# subscription-manager register --username=virt-who-test --password=redhat
2.Register one guest with same username and password.
# subscription-manager register --username=virt-who-test --password=redhat
3.Subscribe host to Datacenter subscription.
# subscription-manager subscribe --pool=$poolid
4.Subscribe the registered guest to the bonus pool. 
# subscription-manager subscribe --pool=$poolid
5.On the Guest : List consumed subscriptions.
# subscription-manager list --consumed
6.Unregister host from server.
7. On the Guest:
# subscription-manager refresh
8.On the Guest: List available pools.
# subscription-manager list --available

Actual results:
 After step 8, there is still a bonus pool of Datecenter.
Subscription Name:   Red Hat Enterprise Linux for Virtual Datacenters, Standard
Provides:            Red Hat Beta
                     Red Hat Software Collections (for RHEL Server)
                     Oracle Java (for RHEL Server)
                     Red Hat Enterprise Linux Server
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Developer Toolset (for RHEL Server)
SKU:                 RH00050
Contract:            
Pool ID:             8a99f9814eb7128e014eb912c76e6b09
Provides Management: Yes
Available:           Unlimited
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Stackable (Temporary)
Ends:                07/19/2016
System Type:         Virtual

Expected results:
 After step 8, there isn't  bonus pool.

Additional info:
Comment 2 Eko 2015-07-31 01:20:38 EDT
according to the list info, the Datacenters bonus pool is an temporary pool, so can be showed by 'subscription-manager list --available' , so closed it.

Note You need to log in before you can comment on or make changes to this bug.